Vehicle Data
Diagnostic Trouble Codes
Provides a list of active Diagnostic Trouble Codes (DTCs) reported by the vehicle. Currently supporting GM brands including Chevrolet and GMC.
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/diagnostics/dtcs" \
-H "Authorization: Bearer {token}" \
-X "GET"
diagnostic_trouble_codes = vehicle.diagnostic_trouble_codes()
const diagnosticTroubleCodes = await vehicle.diagnosticTroubleCodes();
VehicleDiagnosticTroubleCodes diagnosticTroubleCodes = vehicle.diagnosticTroubleCodes();
diagnostic_trouble_codes = vehicle.diagnostic_trouble_codes
{
"activeCodes": [
{
"code": "P302D",
"timestamp": "2024-09-05T14:48:00.000Z"
},
{
"code": "xxxxx",
"timestamp": null
}
...
]
}
Provides a list of active Diagnostic Trouble Codes (DTCs) reported by the vehicle. Currently supporting GM brands including Chevrolet and GMC.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/diagnostics/dtcs" \
-H "Authorization: Bearer {token}" \
-X "GET"
diagnostic_trouble_codes = vehicle.diagnostic_trouble_codes()
const diagnosticTroubleCodes = await vehicle.diagnosticTroubleCodes();
VehicleDiagnosticTroubleCodes diagnosticTroubleCodes = vehicle.diagnosticTroubleCodes();
diagnostic_trouble_codes = vehicle.diagnostic_trouble_codes
{
"activeCodes": [
{
"code": "P302D",
"timestamp": "2024-09-05T14:48:00.000Z"
},
{
"code": "xxxxx",
"timestamp": null
}
...
]
}
read_diagnostics
curl "https://api.smartcar.com/v2.0/vehicles/{id}/diagnostics/dtcs" \
-H "Authorization: Bearer {token}" \
-X "GET"
diagnostic_trouble_codes = vehicle.diagnostic_trouble_codes()
const diagnosticTroubleCodes = await vehicle.diagnosticTroubleCodes();
VehicleDiagnosticTroubleCodes diagnosticTroubleCodes = vehicle.diagnosticTroubleCodes();
diagnostic_trouble_codes = vehicle.diagnostic_trouble_codes
{
"activeCodes": [
{
"code": "P302D",
"timestamp": "2024-09-05T14:48:00.000Z"
},
{
"code": "xxxxx",
"timestamp": null
}
...
]
}
Was this page helpful?
